Uncaught Error: GD does not support

Что то после последнего обновления полезли ошибки:

Uncaught Error: GD does not support 6 images
with code 500 in '/var/www/site.ru/wa-system/image/waImageGd.class.php' around line 43

Call stack:
## wa-system/image/waImageGd.class.php(43)
#0 wa-system/image/waImageGd.class.php(24): waImageGd->createGDImageResourse('/var/www/site-...', 6)
#1 wa-system/image/waImage.class.php(143): waImageGd->__construct('/var/www/site-...')
#2 wa-apps/shop/lib/classes/shopImage.class.php(177): waImage::factory('/var/www/site-...')
#3 wa-apps/shop/lib/config/data/thumb.php(95): shopImage::generateThumb('/var/www/site-...', '96x96', 970)
#4 wa-data/public/shop/products/thumb.php(5): include('/var/www/site-...')
#5 {main}

Что не так?

Лог ошибок за несколько месяцев, прошелся поиском по файлу, такого рода записи появились после обновления Installer и приложения Shop до актуальных версий.

1 ответ

  • 1
    Алексей Webasyst 23 февраля 2021 21:29 #

    Это не ошибка кода, вы пытаетесь скормить скрипту файл с расширением .6
    Такой формат не поддерживает ни GD, ни Imagick.
    Поэтому стоит найти что это за файл и его исправить.

    • +1
      Юрий Юрий 24 февраля 2021 14:25 #

      Поиск

      find site/wa-data/ -name "*.6"

      ничего не дал. Как то расширить сообщение о ошибке можно что бы путь показывался?

Добавить ответ

Чтобы добавить комментарий, зарегистрируйтесь или войдите